# Uses of Class
java.net.Proxy

Packages that use Proxy
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of Proxy in java.net

Fields in java.net declared as Proxy
Modifier and Type
Field
Description
`static final Proxy`
Proxy.`NO_PROXY`
A proxy setting that represents a `DIRECT` connection, basically telling the protocol handler not to use any proxying.
Methods in java.net that return types with arguments of type Proxy
Modifier and Type
Method
Description
`abstract List<Proxy>`
ProxySelector.`select(URI uri)`
Selects all the applicable proxies based on the protocol to access the resource with and a destination address to access the resource at.
Methods in java.net with parameters of type Proxy
Modifier and Type
Method
Description
`URLConnection`
URL.`openConnection(Proxy proxy)`
Same as `URL.openConnection()`, except that the connection will be made through the specified proxy; Protocol handlers that do not support proxying will ignore the proxy parameter and make a normal connection.
`protected URLConnection`
URLStreamHandler.`openConnection(URL u, Proxy p)`
Same as openConnection(URL), except that the connection will be made through the specified proxy; Protocol handlers that do not support proxying will ignore the proxy parameter and make a normal connection.
Constructors in java.net with parameters of type Proxy
Modifier
Constructor
Description
``
`Socket(Proxy proxy)`
Creates an unconnected socket, specifying the type of proxy, if any, that should be used regardless of any other settings.